CacheService.CounterCacheSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.service

## Class CacheService.CounterCacheSerializer

- java.lang.Object
- - org.apache.cassandra.service.CacheService.CounterCacheSerializer

- All Implemented Interfaces:
    AutoSavingCache.CacheSerializer<CounterCacheKey,ClockAndCount>
  Enclosing class:
    CacheService

      public static class CacheService.CounterCacheSerializer
      extends java.lang.Object
      implements AutoSavingCache.CacheSerializer<CounterCacheKey,ClockAndCount>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CounterCacheSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.concurrent.Future<Pair<CounterCacheKey,ClockAndCount>>` | `deserialize(java.io.DataInputStream in, ColumnFamilyStore cfs)`
    `void` | `serialize(CounterCacheKey key, DataOutputPlus out, ColumnFamilyStore cfs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CounterCacheSerializer

          public CounterCacheSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(CounterCacheKey key,
                                DataOutputPlus out,
                                ColumnFamilyStore cfs)
                         throws java.io.IOException

      Specified by:
        `serialize` in interface `AutoSavingCache.CacheSerializer<CounterCacheKey,ClockAndCount>`
      Throws:
        `java.io.IOException`

    - #### deserialize

          public java.util.concurrent.Future<Pair<CounterCacheKey,ClockAndCount>> deserialize(java.io.DataInputStream in,
                                                                                              ColumnFamilyStore cfs)
                                                                                       throws java.io.IOException

      Specified by:
        `deserialize` in interface `AutoSavingCache.CacheSerializer<CounterCacheKey,ClockAndCount>`
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation